# Uses of Enum
org.apache.zookeeper.server.watch.WatcherMode

Packages that use WatcherMode
Package
Description
org.apache.zookeeper.server.watch

## Uses of WatcherMode in org.apache.zookeeper.server.watch

Subclasses with type arguments of type WatcherMode in org.apache.zookeeper.server.watch
Modifier and Type
Class
Description
`enum`
`WatcherMode`
Fields in org.apache.zookeeper.server.watch declared as WatcherMode
Modifier and Type
Field
Description
`static final WatcherMode`
WatcherMode.`DEFAULT_WATCHER_MODE`
Methods in org.apache.zookeeper.server.watch that return WatcherMode
Modifier and Type
Method
Description
`static WatcherMode`
WatcherMode.`fromZooDef(int mode)`
`static WatcherMode`
WatcherMode.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static WatcherMode[]`
WatcherMode.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.zookeeper.server.watch with parameters of type WatcherMode
Modifier and Type
Method
Description
`WatchStats`
WatchStats.`addMode(WatcherMode mode)`
Compute stats after given mode attached to node.
`default boolean`
IWatchManager.`addWatch(String path, Watcher watcher, WatcherMode watcherMode)`
Add watch to specific path.
`boolean`
WatchManager.`addWatch(String path, Watcher watcher, WatcherMode watcherMode)`
`default boolean`
IWatchManager.`containsWatcher(String path, Watcher watcher, WatcherMode watcherMode)`
Checks the specified watcher exists for the given path and mode.
`boolean`
WatchManager.`containsWatcher(String path, Watcher watcher, WatcherMode watcherMode)`
`boolean`
WatchStats.`hasMode(WatcherMode mode)`
Check whether given mode is attached to this node.
`WatchStats`
WatchStats.`removeMode(WatcherMode mode)`
Compute stats after given mode removed from node.
`default boolean`
IWatchManager.`removeWatcher(String path, Watcher watcher, WatcherMode watcherMode)`
Removes the specified watcher for the given path and mode.
`boolean`
WatchManager.`removeWatcher(String path, Watcher watcher, WatcherMode watcherMode)`